Bug 1412224 - fedpkg update fails: Could not execute update: error: Unable to open /home/jsynacek/rpmbuild/SOURCES/triggers.systemd: No such file or directory
Summary: fedpkg update fails: Could not execute update: error: Unable to open /home/js...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedpkg
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: cqi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 14:51 UTC by Jan Synacek
Modified: 2017-09-19 21:19 UTC (History)
7 users (show)

Fixed In Version: fedpkg-1.29-1.fc26 fedpkg-1.29-3.fc27 fedpkg-1.29-3.fc25 fedpkg-1.29-3.el6 fedpkg-1.29-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-12 10:52:11 UTC


Attachments (Terms of Use)

Description Jan Synacek 2017-01-11 14:51:06 UTC
Description of problem:
See steps to reproduce.


Version-Release number of selected component (if applicable):
fedpkg-1.26-4.fc25.noarch


Steps to Reproduce:
1. git clone https://src.fedoraproject.org/git/rpms/systemd.git
2. cd systemd
3. git checkout f25
4. fedpkg update (if this works for you, please, cancel...)


Actual results:
As of now (commit https://src.fedoraproject.org/cgit/rpms/systemd.git/commit/?h=f25&id=0d334e296ffe85ae8030adf59facd69bc750a064), I get the following error:

$ fedpkg update
Could not execute update: error: Unable to open /home/jsynacek/rpmbuild/SOURCES/triggers.systemd: No such file or directory
error: query of specfile /home/jsynacek/fedora/systemd/systemd.spec failed, can't parse


Expected results:
No errors.

Comment 1 Jaroslav Škarvada 2017-01-11 15:07:35 UTC
I can also reproduce it:

$ fedpkg co systemd
$ cd systemd
$ fedpkg update

It seems it's doing lint before update, but it shouldn't. Scratch build works correctly and the file is in dist-git and srpm.

Comment 2 Lubomír Sedlář 2017-01-11 15:08:52 UTC
Also can be replicated with fedpkg clog.
Ultimate cause is that extracting changelog with rpm tries to open triggers.systemd file that is included in the spec, but looks for it in a wrong directory. This is the problematic command:

$ rpm -q --qf '%{CHANGELOGTEXT}\n' --specfile /path/to/systemd.spec

Comment 3 Lubomír Sedlář 2017-01-11 15:19:20 UTC
The trick is to add --define '_sourcedir /path/to/cloned/repo'

Comment 4 cqi 2017-01-11 15:53:44 UTC
(In reply to Lubomír Sedlář from comment #3)
> The trick is to add --define '_sourcedir /path/to/cloned/repo'

I'm not sure any other macros may cause same problem?

Comment 5 cqi 2017-01-12 01:21:26 UTC
Patch: https://pagure.io/rpkg/pull-request/191

Please review and try it if you wish.

Comment 6 Fedora Update System 2017-08-18 00:58:47 UTC
fedpkg-1.29-1.fc26 rpkg-1.50-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fd4f4928b7

Comment 7 Fedora Update System 2017-08-18 20:18:31 UTC
fedpkg-1.29-1.el6, rpkg-1.50-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c685ce277

Comment 8 Fedora Update System 2017-08-18 20:23:50 UTC
fedpkg-1.29-1.el7, rpkg-1.50-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c5c94bf8c

Comment 9 Fedora Update System 2017-08-18 21:54:35 UTC
fedpkg-1.29-1.fc25, rpkg-1.50-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0d9aff598

Comment 10 Fedora Update System 2017-08-19 18:55:39 UTC
fedpkg-1.29-1.fc26, rpkg-1.50-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fd4f4928b7

Comment 11 Fedora Update System 2017-08-22 20:44:24 UTC
fedpkg-1.29-1.fc26, rpkg-1.50-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-08-23 05:06:36 UTC
fedpkg-1.29-2.fc25 rpkg-1.50-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0d9aff598

Comment 13 Fedora Update System 2017-08-23 05:08:01 UTC
fedpkg-1.29-2.el6 rpkg-1.50-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c685ce277

Comment 14 Fedora Update System 2017-08-23 05:08:55 UTC
fedpkg-1.29-2.el7 rpkg-1.50-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c5c94bf8c

Comment 15 Fedora Update System 2017-08-24 01:51:31 UTC
fedpkg-1.29-2.fc25, rpkg-1.50-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0d9aff598

Comment 16 Fedora Update System 2017-08-24 03:18:35 UTC
fedpkg-1.29-2.el6, rpkg-1.50-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c685ce277

Comment 17 Fedora Update System 2017-08-24 03:19:30 UTC
fedpkg-1.29-2.el7, rpkg-1.50-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c5c94bf8c

Comment 18 Fedora Update System 2017-09-01 06:03:58 UTC
fedpkg-1.29-3.fc25 rpkg-1.50-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0d9aff598

Comment 19 Fedora Update System 2017-09-01 06:08:00 UTC
fedpkg-1.29-3.el6 rpkg-1.50-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c685ce277

Comment 20 Fedora Update System 2017-09-01 06:10:06 UTC
fedpkg-1.29-3.el7 rpkg-1.50-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c5c94bf8c

Comment 21 Fedora Update System 2017-09-01 06:11:51 UTC
fedpkg-1.29-3.fc27 rpkg-1.50-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8bb22880f0

Comment 22 Fedora Update System 2017-09-03 04:47:35 UTC
fedpkg-1.29-3.el6, rpkg-1.50-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c685ce277

Comment 23 Fedora Update System 2017-09-03 04:50:19 UTC
fedpkg-1.29-3.el7, rpkg-1.50-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c5c94bf8c

Comment 24 Fedora Update System 2017-09-03 06:23:53 UTC
fedpkg-1.29-3.fc25, rpkg-1.50-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0d9aff598

Comment 25 Fedora Update System 2017-09-03 19:53:31 UTC
fedpkg-1.29-3.fc27, rpkg-1.50-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8bb22880f0

Comment 26 Fedora Update System 2017-09-04 06:52:55 UTC
fedpkg-1.29-3.el6 rpkg-1.50-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c685ce277

Comment 27 Fedora Update System 2017-09-04 06:53:25 UTC
fedpkg-1.29-3.el7 rpkg-1.50-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c5c94bf8c

Comment 28 Fedora Update System 2017-09-04 16:17:18 UTC
fedpkg-1.29-3.fc27, rpkg-1.50-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2017-09-04 22:17:39 UTC
fedpkg-1.29-3.el6, rpkg-1.50-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c685ce277

Comment 30 Fedora Update System 2017-09-04 22:17:42 UTC
fedpkg-1.29-3.el7, rpkg-1.50-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c5c94bf8c

Comment 31 Fedora Update System 2017-09-12 10:52:11 UTC
fedpkg-1.29-3.fc25, rpkg-1.50-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2017-09-19 21:16:27 UTC
fedpkg-1.29-3.el6, rpkg-1.50-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2017-09-19 21:19:47 UTC
fedpkg-1.29-3.el7, rpkg-1.50-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.